Description

Hi,

I am sorry, but this is essential thing for me. Almost all GIS sw support DBF files to be loaded and then converted to shapes. We have a

plenty of DBF and use them in various sw from OSS like SAGA to commercial ones. For QGIS, I always have to convert it to CSV and

modify, as OOo adds " to the file as text field separator and also uses "," instead of "." (in Czech environment). With DBF I never had a

problem so it would be very useful if QGIS could also load DBF tables without any conversion.

regards

Jan

History

#1 - 2010-10-03 04:35 PM - Giovanni Manghi

In OO you can easily change the separator symbol and don't use the '"' to wrap values.

When saving to CSV just check the "edit filter setting" checkbox.

Said this I don't see any reason to support this format to import x/y tables: just export DBFs files as csv.

If you have bunch of them you can do convert them with a batch job: there are a ton of applications that can do this under windows. Under linux you

probably would like to do the job with a few lines script. Example:

http://avi.alkalay.net/2010/08/convert-dbf-to-csv-on-linux-with-perl-and-xbase.html

#2 - 2010-10-17 02:52 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

Also DBF has been dropped from Ms Office already in MS Office 2007. Reopen if necessary.

#3 - 2010-10-17 03:50 AM - Jürgen Fischer

DBFs can be added as geometryless layers.

#4 - 2010-10-17 09:30 AM - Markus Neteler
http://avi.alkalay.net/2010/08/convert-dbf-to-csv-on-linux-with-perl-and-xbase.html


I hope that the unfortunate decision of Microsoft to drop DBF from MS Office 2007 is not

dictating what QGIS offers - [[OpenOffice]] for example has DBF support and also SHAPE files

have DBF as table format.

Markus

#5 - 2010-10-17 12:25 PM - Jürgen Fischer

Replying to [comment:4 neteler]:

I hope that the unfortunate decision of Microsoft to drop DBF from MS Office 2007 is not dictating what QGIS offers

I think most of us, don't care what M$ does.

[[OpenOffice]] for example has DBF support and also SHAPE files have DBF as table format.

You know that the above OO refers to [[OpenOffice]]. And as said we support DBF.  It's just that the delimited text provider doesn't.

#6 - 2010-10-18 12:39 AM - Giovanni Manghi

Replying to [comment:5 jef]:

It's just that the delimited text provider doesn't.

yes, this is what I meant. Does not make sense add dbf support in the "add delimited text" plugin (and just there), as every office package can handle

CSVs, having as sources DBFs or any other type of spreadheet table.
